// barrier.cc 
//	barriers
//
// Copyright (c) 1992-1993 The Regents of the University of California.
// All rights reserved.  See copyright.h for copyright notice and limitation 
// of liability and disclaimer of warranty provisions.

#include "copyright.h"
#include "barrier.h"
#include "system.h"

// Dummy constructors and methods - you have to implement these!!!!!


// ------------------------- IMPLEMENT ME BEGIN ------------------------------

Barrier::Barrier(char *debugName, int size) {}
Barrier::Barrier(char *debugName, int ways, int size) {}
Barrier::~Barrier() {}

void Barrier::barrierSynch() { ASSERT(FALSE); }
int  Barrier::barrierSynch(int threadType) { ASSERT(FALSE); return 0; }
void Barrier::print() {}

// ------------------------- IMPLEMENT ME END ------------------------------
